struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Germuska" <...@germuska.com>
Subject Struts2 and Java 1.4 (Re: [VOTE] Struts 2.0.4 Quality)
Date Tue, 30 Jan 2007 12:19:49 GMT
On 1/30/07, Rainer Hermanns <hermanns@aixcept.de> wrote:

> > +1 for beta as well.
> > We might have a problem with xwork and Java 1.4 compliancy as well.
> >
> > Have a look at: http://jira.opensymphony.com/browse/XW-463
> >
> > It looks like retroweaver does not translate ThreadLocal.remove()
> correctly.
> > We need to investigate retrotranslator for correct translation, since
> > retroweaver seems not to be working correctly here.
>
>
FWIW, I do not think a problem with Java 1.4 would be reason to stop a
Struts 2 GA release.

Struts 2 is written for Java 5.  The Java 1.4 compatible jars are a
convenience for some users, but I do not think they should be considered
fully supported or a blocking issue for a Struts 2 release.

Anyone strongly disagree?

Joe

-- 
Joe Germuska
Joe@Germuska.com * http://blog.germuska.com

"The truth is that we learned from João forever to be out of tune."
-- Caetano Veloso

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message